Public Member Functions | Private Attributes

# CargoReturn Class Reference

Action of returning previously reserved cargo from the vehicle to the station. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoReturn:

## Public Member Functions
| CargoReturn (VehicleCargoList *source, StationCargoList *destination, uint max_move, StationID next)
bool | operator() (CargoPacket *cp)
| Returns some reserved cargo.
## Private Attributes
StationID | next

## Detailed Description

Action of returning previously reserved cargo from the vehicle to the station.

Definition at line 99 of file cargoaction.h.

## Member Function Documentation

bool CargoReturn::operator() | ( | CargoPacket * | cp | ) |

Returns some reserved cargo.

Parameters:

  | cp | Packet to be returned.

Returns:
  True if the packet was completely returned, false if part of it was.

Definition at line 150 of file cargoaction.cpp.

References StationCargoList::Append(), CargoPacket::Count(), CargoMovement< VehicleCargoList, StationCargoList >::destination, CargoList< VehicleCargoList, CargoPacketList >::MTA_LOAD, CargoMovement< VehicleCargoList, StationCargoList >::Preprocess(), VehicleCargoList::RemoveFromMeta(), StationCargoList::reserved_count, and CargoMovement< VehicleCargoList, StationCargoList >::source.

The documentation for this class was generated from the following files:

- src/cargoaction.h
- src/cargoaction.cpp